1. Credits
Bardge API (V3)
  • Introduction
  • Authentication
  • Errors
  • Idempotent Requests
  • Pagination
  • Passes
    • Introduction
    • Get All Reseller Passes
      GET
    • Issue a pass
      POST
    • Update user's pass
      POST
    • Update user's pass expiry
      POST
    • Get User Pass Details
      GET
  • Providers
    • Introduction
    • Get providers
      GET
    • Get providers for a pass
      GET
  • Access Codes
    • Introduction
    • Generate dynamic access code
      POST
  • Bookings
    • Introduction
    • Get class categories
      GET
    • Get classes
      GET
    • Get class with instances
      GET
    • Initiate a class booking
      POST
    • Confirm a class booking
      POST
    • Initiate a spa booking
      POST
    • Confirm a spa booking
      POST
    • Get client bookings
      GET
    • Get booking status
      GET
    • Cancel a booking
      POST
  • Co-pay
    • Introduction
  • Credits
    • Introduction
    • Purchase credits
      POST
    • Get credit packages
      GET
  • Lookup
    • Introduction
    • Get issuers
    • Initiate a lookup
    • Verify a lookup
    • Get a client
    • Get client credits
  • Schemas
    • PasscodeV3Request
    • PurchaseSpaCoPayV3Request
    • LookupInitiateV3Request
    • ResellerV3PasscodeResponse
    • ErrorDetail
    • ResellerV3ErrorResponse
    • LookupV3Response
    • ResellerV3SpaCoPayPurchaseResponse
    • LookupVerifyV3Request
    • SpaCoPayQuoteV3Request
    • IssuePassV3Request
    • PassRef
    • ResellerV3SpaCoPayQuoteResponse
    • CategoryDetails
    • ResellerV3IssuedPassResponse
    • UpdateIssuedPassExpiryV3Request
    • ResellerV3IssuedPassMessageResponse
    • UpdateLookupEnabledRequest
    • UpdateIssuedPassV3Request
    • PurchaseGymCoPayV3Request
    • PurchaseCoPayPackageV3Request
    • PurchaseCreditsV3Request
    • ResellerV3GymCoPayPurchaseResponse
    • ResellerV3CreditPurchaseResponse
    • ResellerV3CoPayPurchaseResponse
    • RescheduleBookingV3Request
    • RefundInfo
    • PasscodeInfo
    • ResellerV3BookingResponse
    • BookSpaV3Request
    • ResellerV3SpaBookingInitiateResponse
    • BookClassV3Request
    • CopayOption
    • ResellerV3ProviderResponse
    • ResellerV3ClassBookingInitiateResponse
    • ResellerV3ServiceResponse
    • ConfirmClassBookingV3Request
    • ResellerV3SpaResponse
    • AccessCodeV3Request
    • ServicePreview
    • ResellerV3AccessCodeResponse
    • ResellerV3ListResponse
    • ResellerV3AccessCodeSessionResponse
    • ResellerV3AvailabilityResponse
    • ConfirmAccessCodeV3Request
    • ResellerV3ClientResponse
    • CategoryDetail
    • ResellerV3CreditsResponse
    • ResellerV3PassResponse
    • ResellerV3ClassInstanceResponse
    • ResellerV3ClassResponse
    • ResellerV3BookingStatusResponse
  1. Credits

Purchase credits

POST
/v3/api/business/reseller/credit_purchases
Purchases a credit package for a client. Idempotent — supply Idempotency-Key to safely retry.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201
*/*
Credit purchase successful
Body*/*

🟠400
🟠401
🟠403
🟠404
🟠409
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v3/api/business/reseller/credit_purchases' \
--header 'Idempotency-Key: 550e8400-e29b-41d4-a716-446655440000' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "package_id": "pkg_abc123",
    "client_id": "client_abc123"
}'
Response Response Example
201 - Success
{
    "object": "credit_purchase",
    "id": "cpur_5f2a8c4d1e7b9f3a",
    "client_id": "client_abc123",
    "package_name": "50 Credits Pack",
    "credits_purchased": 50,
    "total_credits_added": 50,
    "new_balance": 75,
    "amount": 500000,
    "currency": "NGN",
    "tx_ref": "TX-1234567890",
    "status": "SUCCESSFUL",
    "created": 1746700000000,
    "message": "Credits purchased successfully"
}
Modified at 2026-05-21 13:30:24
Previous
Introduction
Next
Get credit packages
Built with